RTEMS: Data Fields

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- saved_arg0 : SPARC_Minimum_stack_frame
- saved_arg1 : SPARC_Minimum_stack_frame
- saved_arg2 : SPARC_Minimum_stack_frame
- saved_arg3 : SPARC_Minimum_stack_frame
- saved_arg4 : SPARC_Minimum_stack_frame
- saved_arg5 : SPARC_Minimum_stack_frame
- schedule : Scheduler_Operations
- scheduled : Scheduler_EDF_SMP_Ready_queue
- Scheduled : Scheduler_SMP_Context
- Scheduler : _Thread_Control
- scheduler : Thread_Configuration
- Scheduler : Thread_Proxy_control
- scheduler_node : Thread_queue_Priority_queue
- SCR : SCB_Type
- scs : lpc176x_scb
- sDeviceName : _console_tbl
- SDRAMC_CFR1 : Sdramc
- SDRAMC_CR : Sdramc
- SDRAMC_IDR : Sdramc
- SDRAMC_IER : Sdramc
- SDRAMC_IMR : Sdramc
- SDRAMC_ISR : Sdramc
- SDRAMC_LPR : Sdramc
- SDRAMC_MDR : Sdramc
- SDRAMC_MR : Sdramc
- SDRAMC_OCMS : Sdramc
- SDRAMC_OCMS_KEY1 : Sdramc
- SDRAMC_OCMS_KEY2 : Sdramc
- SDRAMC_TR : Sdramc
- SDRAMC_VERSION : Sdramc
- sdrpllgrp : ALT_CLK_GROUP_RAW_CFG_s::ALT_CLK_GROUP_RAW_CFG_u
- searches : Heap_Statistics
- sec_addr : link_map
- sec_detail : link_map
- sec_num : link_map, rtems_rtl_obj
- second : rtems_time_of_day
- secs : rtems_rtl_rap
- sect : rtems_rtl_obj_sect_finder, rtems_rtl_tramp_reloc, rtems_rtl_unresolv_reloc
- section : rtems_rtl_obj_sect
- sections : rtems_rtl_obj
- sectors_per_cluster : msdos_format_request_param_t
- segment : rtems_fdisk_block_ctl, rtems_fdisk_segment_ctl, rtems_fdisk_segment_desc
- segment_count : rtems_fdisk_device_ctl, rtems_fdisk_device_desc
- segments : rtems_fdisk_device_ctl, rtems_fdisk_device_desc
- selector : RTEMS_PACKED
- selector_cont : rtems_debugger_threads
- selector_gen : rtems_debugger_threads
- semaphore : _Spid, AfeDma, DacDma
- Semaphore : Semaphore_Control
- sempaphore : UartChannel
- send_packet : MPCI_Control
- server_index : atsam_sc16is752_spi_config
- service : ofw_args_t
- set : lpc176x_fio, rtems_rtl_obj_flags_data
- set_attributes : rtems_termios_device_handler
- set_clock : i2c_bus
- sethi_of_handler_to_l4 : CPU_Trap_table_entry
- setRegister : _console_tbl
- setup : spi_bus
- shared : _rtems_rfs_file_handle
- SHCSR : SCB_Type
- shm : mmap_mappings_s
- show_name : rtems_rtl_dep_data
- SHPR : SCB_Type
- Signal : RTEMS_API_Control
- Signal_action : RTEMS_API_Control
- signal_number : ALT_GPIO_CONFIG_RECORD_s, ALT_GPIO_PIN_RECORD_s
- signals_pending : ASR_Information
- signals_posted : ASR_Information
- Signature : RTEMS_PACKED
- signature : rtems_rtl_loader_table
- siliid2 : ALT_CLK_GROUP_RAW_CFG_s
- since_last_period : rtems_rate_monotonic_period_status
- singly_buffer : rtems_rfs_block_map_s
- size : _rtems_rfs_file_shared, _rtems_rfs_file_system, _rtems_rfs_group, bsp_tlb_entry_t, CORE_message_queue_Buffer, drvmgr_map_entry, fh_sg_list, Heap_Statistics, POSIX_Shm_Object, rtems_bdbuf_config, rtems_capture_buffer, rtems_debugger_block, rtems_disk_device, rtems_fdisk_segment_desc, rtems_nvdisk_device_desc, rtems_rbheap_chunk, rtems_rfs_block_map_s, rtems_rtl_archive, rtems_rtl_archive_symbols, rtems_rtl_bit_alloc, rtems_rtl_elf_common_data, rtems_rtl_mdreloc_trmap, rtems_rtl_obj_cache, rtems_rtl_obj_cpmp, rtems_rtl_obj_sect, rtems_rtl_obj_sect_summer_data, rtems_rtl_rap_section, rtems_rtl_sptr, section_detail, Stack_Control
- Size : TaskSetupParamSet_t
- size : tte_data
- size_and_flag : Heap_Block
- skip_alignment : msdos_format_request_param_t
- SLEEPCNT : DWT_Type
- SMC_CS_NUMBER : Smc
- SMC_CYCLE : SmcCs_number
- SMC_KEY1 : Smc
- SMC_KEY2 : Smc
- SMC_MODE : SmcCs_number
- SMC_OCMS : Smc
- SMC_PULSE : SmcCs_number
- SMC_SETUP : SmcCs_number
- SMC_VERSION : Smc
- SMC_WPMR : Smc
- SMC_WPSR : Smc
- smcSts : _SmcStatus::_SmcStatusBits
- smp_lock : rtems_profiling_data
- soft : tte_data
- soft2 : tte_data
- some_float_register : Context_Control_fp
- some_integer_register : Context_Control
- some_system_register : Context_Control
- source : fh_sg_list, rtems_fstab_entry
- source_offset : Thread_Control_add_on
- source_priority : MP_packet_Prefix
- source_tid : MP_packet_Prefix
- spare_descriptor_chain : rtems_rbheap_control
- special_interrupt_register : CPU_Interrupt_frame
- speed_hz : sc16is752_spi_context, spi_bus, spi_ioc_transfer
- speed_mode : ALT_I2C_MASTER_CONFIG_s
- spi_chip_select : atsam_sc16is752_spi_config
- SPI_CR : Spi
- SPI_CSR : Spi
- SPI_IDR : Spi
- SPI_IER : Spi
- SPI_IMR : Spi
- SPI_MR : Spi
- spi_path : atsam_sc16is752_spi_config, sc16is752_spi_context
- SPI_RDR : Spi
- spi_speed_hz : atsam_sc16is752_spi_config
- SPI_SR : Spi
- SPI_TDR : Spi
- SPI_VERSION : Spi
- SPI_WPMR : Spi
- SPI_WPSR : Spi
- spiCs : _SpidCmd
- spiId : _ILI9488_dma, _Spid
- SPPR : TPI_Type
- SPSEL : CONTROL_Type
- ss_scl_hcnt : ALT_I2C_MASTER_CONFIG_s
- ss_scl_lcnt : ALT_I2C_MASTER_CONFIG_s
- SSC_CMR : Ssc
- SSC_CR : Ssc
- SSC_IDR : Ssc
- SSC_IER : Ssc
- SSC_IMR : Ssc
- SSC_RC0R : Ssc
- SSC_RC1R : Ssc
- SSC_RCMR : Ssc
- SSC_RFMR : Ssc
- SSC_RHR : Ssc
- SSC_RSHR : Ssc
- SSC_SR : Ssc
- SSC_TCMR : Ssc
- SSC_TFMR : Ssc
- SSC_THR : Ssc
- SSC_TSHR : Ssc
- SSC_VERSION : Ssc
- SSC_WPMR : Ssc
- SSC_WPSR : Ssc
- SSPSR : TPI_Type
- stack_area : Thread_Configuration
- Stack_frame : CPU_Interrupt_frame
- stack_pointer : Context_Control
- stack_size : posix_initialization_threads_table, rtems_initialization_tasks_table, rtems_telnetd_config_table, Thread_Configuration
- Start : _Thread_Control
- start : rtems_disk_device
- start_idle : Scheduler_Operations
- start_remote_tx : rtems_termios_device_flow
- start_time : rtems_timer_information, Timer_Control
- StartAddrDst : TaskSetupParamSet_t
- StartAddrSrc : TaskSetupParamSet_t
- starting_address : Partition_Control
- startloc : rtems_filesystem_eval_path_context_t
- starvation_threshold : rtems_flashdisk
- starvations : rtems_flashdisk
- stat : lpc176x_pll
- state : _XdmadChannel, drvmgr_bus, drvmgr_dev, Rate_monotonic_Control, rtems_bdbuf_buffer, rtems_rate_monotonic_period_status, rtems_stdio_redirect, Scheduler_SMP_Node, Thread_Life_control, Untar_ChunkContext
- StatF : lpc176x_interrupt_control
- Statistics : Rate_monotonic_Control
- StatR : lpc176x_interrupt_control
- stats : rtems_disk_device, rtems_rtl_obj_print
- status : _Async, _AsyncTwi, rtems_blkdev_request
- Status : TaskBD1_t, TaskBD2_t, TaskBD_t
- step : rtems_debugger_block
- steppers : rtems_debugger_threads
- STIR : NVIC_Type, SCB_Type
- stop_remote_tx : rtems_termios_device_flow
- stop_time : rtems_timer_information, Timer_Control
- stopped : rtems_debugger_threads
- storage_area : rtems_interrupt_server_config
- storage_size : rtems_interrupt_server_config
- str : drvmgr_key_value
- strings : rtems_rtl_data
- strm : Untar_GzChunkContext, Untar_XzChunkContext
- strtab : rtems_rtl_rap
- strtab_size : rtems_rtl_rap
- strtable : rtems_rtl_rap
- strtable_size : rtems_rtl_rap
- structure_return_address : SPARC_Minimum_stack_frame
- SUPC_CR : Supc
- SUPC_MR : Supc
- SUPC_SMMR : Supc
- SUPC_SR : Supc
- SUPC_WUIR : Supc
- SUPC_WUMR : Supc
- supported : _sensor_output
- SupVbeSignature : RTEMS_PACKED
- SupVbeSubFunc : RTEMS_PACKED
- SupVbeVersion : RTEMS_PACKED
- surrender : Thread_queue_Operations
- swap_block_hold : rtems_bdbuf_config
- swapout : rtems_bdbuf_cache
- swapout_enabled : rtems_bdbuf_cache
- swapout_free_workers : rtems_bdbuf_cache
- swapout_period : rtems_bdbuf_config
- swapout_priority : rtems_bdbuf_config
- swapout_worker_priority : rtems_bdbuf_config
- swapout_workers : rtems_bdbuf_config
- sym : rtems_rtl_unresolved_reloc_data
- symbol : rtems_rtl_archive_obj_data
- symbols : rtems_rtl_archive, rtems_rtl_archive_symbols, rtems_rtl_data, rtems_rtl_obj_print, rtems_rtl_obj_summary, rtems_rtl_rap
- symtab_size : rtems_rtl_rap
- symvalue : rtems_rtl_tramp_reloc
- sync : rtems_bdbuf_cache
- sync_active : rtems_bdbuf_cache
- sync_device : msdos_format_request_param_t, rtems_bdbuf_cache
- sync_lock : rtems_bdbuf_cache
- sync_requester : rtems_bdbuf_cache
- syncing : rtems_bdbuf_swapout_transfer
- SYS_GPBR : Gpbr
- SYSC_VERSION : Supc
- System_event : RTEMS_API_Control
- SzDst : TaskSetupParamSet_t
- SzSrc : TaskSetupParamSet_t